# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/wordpress/wordpress-2.7.ebuild,v 1.1 2008/12/26 07:39:51 pva Exp $

inherit webapp depend.php

DESCRIPTION="A CMS for website editors"
HOMEPAGE="http://www.silverstripe.org/"
SRC_URI="http://www.silverstripe.org/assets/downloads/SilverStripe-v${PV}.tar.gz"
RESTRICT="nomirror"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
IUSE=""

DEPEND="app-admin/webapp-config"
RDEPEND=""

S="${WORKDIR}"/SilverStripe-v${PV}

need_httpd_cgi
need_php_httpd

pkg_setup() {
	webapp_pkg_setup
	require_php_with_any_use mysql mysqli
	#require_php_with_use pcre
}

src_unpack() {
	unpack "${A}"

	rm -f "${S}"/Makefile
}

src_install() {
	webapp_src_preinst

	dodoc COPYING ChangeLog INSTALL UPGRADING
	rm -r COPYING ChangeLog INSTALL UPGRADING

	insinto "${MY_HTDOCSDIR}"
	doins -r .

	# The following files are needed for the install process only,
	# and will be deleted once complete...
	webapp_serverowned "${MY_HTDOCSDIR}"/index.php
	webapp_serverowned "${MY_HTDOCSDIR}"/install.php
	webapp_serverowned "${MY_HTDOCSDIR}"/rewritetest.php
	webapp_serverowned "${MY_HTDOCSDIR}"/check-php.php
	webapp_serverowned "${MY_HTDOCSDIR}"/config-form.css
	webapp_serverowned "${MY_HTDOCSDIR}"/config-form.html
	webapp_serverowned "${MY_HTDOCSDIR}"/index.html

	# The installer needs access to these locations for verification purposes
	# (and so they don't need to be recursively chown'd)
	webapp_serverowned "${MY_HTDOCSDIR}"
	webapp_serverowned "${MY_HTDOCSDIR}"/.htaccess
	webapp_serverowned "${MY_HTDOCSDIR}"/mysite
	webapp_serverowned "${MY_HTDOCSDIR}"/tutorial
	webapp_serverowned "${MY_HTDOCSDIR}"/themes

	# This is the only permanent location that needs to
	# be accessible
	webapp_serverowned -R "${MY_HTDOCSDIR}"/assets

	webapp_configfile "${MY_HTDOCSDIR}"/.htaccess

	webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
	#webapp_postupgrade_txt en "${FILESDIR}"/postupgrade-en.txt

	webapp_src_install
}
